/****************************************************************************
** Resource object code
**
** Created by: The Resource Compiler for Qt version 5.15.10
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

static const unsigned char qt_resource_data[] = {
  // /home/blade/Uni-20-1/7-th_semester/CrossPlatformProgramming/Lab5/Lab5/field1.txt
  0x0,0x0,0x0,0x10,
  0x53,
  0x6f,0x6d,0x65,0x20,0x6f,0x74,0x68,0x65,0x72,0x20,0x74,0x65,0x78,0x74,0xa,
    // /home/blade/Uni-20-1/7-th_semester/CrossPlatformProgramming/Lab5/Lab5/field2.txt
  0x0,0x0,0x0,0x11,
  0x53,
  0x6f,0x6d,0x65,0x20,0x6f,0x74,0x68,0x65,0x72,0x20,0x74,0x65,0x78,0x74,0x31,0xa,
  
  
};

static const unsigned char qt_resource_name[] = {
  // data
  0x0,0x4,
  0x0,0x6,0xa8,0xa1,
  0x0,0x64,
  0x0,0x61,0x0,0x74,0x0,0x61,
    // field1.txt
  0x0,0xa,
  0x2,0x81,0xc4,0x74,
  0x0,0x66,
  0x0,0x69,0x0,0x65,0x0,0x6c,0x0,0x64,0x0,0x31,0x0,0x2e,0x0,0x74,0x0,0x78,0x0,0x74,
    // field2.txt
  0x0,0xa,
  0x2,0x78,0xc4,0x74,
  0x0,0x66,
  0x0,0x69,0x0,0x65,0x0,0x6c,0x0,0x64,0x0,0x32,0x0,0x2e,0x0,0x74,0x0,0x78,0x0,0x74,
  
};

static const unsigned char qt_resource_struct[] = {
  // :
  0x0,0x0,0x0,0x0,0x0,0x2,0x0,0x0,0x0,0x1,0x0,0x0,0x0,0x1,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
  // :/data
  0x0,0x0,0x0,0x0,0x0,0x2,0x0,0x0,0x0,0x2,0x0,0x0,0x0,0x2,
0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,
  // :/data/field2.txt
  0x0,0x0,0x0,0x28,0x0,0x0,0x0,0x0,0x0,0x1,0x0,0x0,0x0,0x14,
0x0,0x0,0x1,0x8b,0x1a,0x7e,0x42,0xb1,
  // :/data/field1.txt
  0x0,0x0,0x0,0xe,0x0,0x0,0x0,0x0,0x0,0x1,0x0,0x0,0x0,0x0,
0x0,0x0,0x1,0x8b,0x1a,0x7e,0x30,0x56,

};

#ifdef QT_NAMESPACE
#  define QT_RCC_PREPEND_NAMESPACE(name) ::QT_NAMESPACE::name
#  define QT_RCC_MANGLE_NAMESPACE0(x) x
#  define QT_RCC_MANGLE_NAMESPACE1(a, b) a##_##b
#  define QT_RCC_MANGLE_NAMESPACE2(a, b) QT_RCC_MANGLE_NAMESPACE1(a,b)
#  define QT_RCC_MANGLE_NAMESPACE(name) QT_RCC_MANGLE_NAMESPACE2( \
        QT_RCC_MANGLE_NAMESPACE0(name), QT_RCC_MANGLE_NAMESPACE0(QT_NAMESPACE))
#else
#   define QT_RCC_PREPEND_NAMESPACE(name) name
#   define QT_RCC_MANGLE_NAMESPACE(name) name
#endif

#ifdef QT_NAMESPACE
namespace QT_NAMESPACE {
#endif

bool qRegisterResourceData(int, const unsigned char *, const unsigned char *, const unsigned char *);
bool qUnregisterResourceData(int, const unsigned char *, const unsigned char *, const unsigned char *);

#ifdef QT_NAMESPACE
}
#endif

int QT_RCC_MANGLE_NAMESPACE(qInitResources_FileData)();
int QT_RCC_MANGLE_NAMESPACE(qInitResources_FileData)()
{
    int version = 3;
    QT_RCC_PREPEND_NAMESPACE(qRegisterResourceData)
        (version, qt_resource_struct, qt_resource_name, qt_resource_data);
    return 1;
}

int QT_RCC_MANGLE_NAMESPACE(qCleanupResources_FileData)();
int QT_RCC_MANGLE_NAMESPACE(qCleanupResources_FileData)()
{
    int version = 3;
    QT_RCC_PREPEND_NAMESPACE(qUnregisterResourceData)
       (version, qt_resource_struct, qt_resource_name, qt_resource_data);
    return 1;
}

namespace {
   struct initializer {
       initializer() { QT_RCC_MANGLE_NAMESPACE(qInitResources_FileData)(); }
       ~initializer() { QT_RCC_MANGLE_NAMESPACE(qCleanupResources_FileData)(); }
   } dummy;
}
